prelink (0.0.20131005-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Mark prelink and execstack as Multi-Arch: allowed, so that they can
    satisfy dependencies for local cross-builds. amd64 builds seem to be
    able to successfully edit i386 binaries. (Closes: #955742)

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Apr 2020 12:15:25 +0100

prelink (0.0.20131005-1) unstable; urgency=medium

  * New upstream release, matching Fedora version 0.5.0-3. (Mostly just
    s390x fixes.)
  * Change to my personal email address, as the previous one no longer
    works.
  * Acknowledge previous NMU. Thanks, Laurent!
  * Convert packaging to dh, and bump Debhelper compatibility level.
    - Disable tests for now, as they are broken and were previously
      commented out.
    - Move execstack from /usr/sbin to /usr/bin, following upstream
      packaging (Closes: #627855).
  * debian/prelink.postrm: Delete logs and caches on purge
    (Closes: #668724), and not on remove.
  * debian/NEWS: Remove, it's ten years old.
  * debian/patches/hurd.patch: Build on HURD, where MAXSYMLINKS doesn't
    exist (Closes: #738644). Thanks to Svante Signell for the patch.
  * debian/control: Bump standards version to 3.9.8 (no changes
    needed).

 -- Geoffrey Thomas <geofft@ldpreload.com>  Wed, 24 May 2017 19:20:10 -0400

prelink (0.0.20130503-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the Built-Using field (Closes: #769350)
  * Build-depends against libelf-dev instead of libelfg0-dev (Closes: #769414)
  * Drop debian/patches/ftbfs-no-copy-dt-needed.patch, this is not needed
    anymore and it was an issue in libselinux in the first place anyway

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Sep 2015 21:26:07 +0200

prelink (0.0.20130503-1) unstable; urgency=medium

  * Against my better judgement, adopt the package (Closes: #657967).
  * New upstream release, version 0.5.0 according to Fedora's numbering
    (Closes: #736947).
  * Bump standards version to 3.9.5.0 (no changes needed).
  * In debian/patches:
    - prelink.h.patch: Dropped; not needed except for truly ancient libc
      versions (2003ish).
    - init.patch, timestamp.patch: Refreshed.
    - r187.patch, r188.patch, r189.patch, r190.patch: Dropped; part of
      new upstream release.
    - open-with-mode.patch: Dropped; fixed in upstream r176
      "m4/libelf.m4: Resync with version of code in aclocal.m4."
    - ts.patch, prelink.8.patch, cache.patch: Dropped; they were
      previously commented out in debian/patches. ts skipped some tests
      and the other two were fixed upstream.
    - dso.c.patch, layout.c.patch, ts2.patch: Deleted; they were
      unreferenced in debian/patches and look like old debugging stuff.
  * debian/prelink.spec: Sync with Fedora -- this is used in generating
    the upstream changelog.
  * debian/copyright: Convert to machine-readable format 1.0 (aka DEP-5).
  * Add a debian/watch file.

 -- Geoffrey Thomas <gthomas@mokafive.com>  Mon, 17 Feb 2014 23:33:57 -0800

prelink (0.0.20090925-8) unstable; urgency=low

  * QA upload.
  * Add debian/patches/ftbfs-no-copy-dt-needed.patch: (Closes: #713628)
    - Fixes a FTBFS with The --no-copy-dt-needed linker flag which requires
      that all needed libraries are explicitly added to the linker command
      line.

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 10 Aug 2013 23:22:16 +0200

prelink (0.0.20090925-7) unstable; urgency=low

  * QA upload.
  * m4/libelf.m4: Fixed open() call to include mode, as some gcc
    configurations disallow using O_CREAT without it.  On Ubuntu, this
    caused an FTBFS on all architectures in prelink's check for proper
    libelf support (thanks, Ben Collins).
  * Convert to dh-autoreconf, dropping manual autotools update patches.
  * Convert to 3.0 (quilt) source format.
  * Add ${misc:Depends}.
  * Add build-arch and build-indep targets to debian/rules.
  * Override statically-linked-binary Lintian error; prelink.bin must remain
    statically linked so that e.g. it doesn't try to operate on itself.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 May 2013 09:49:27 +0100

prelink (0.0.20090925-6) unstable; urgency=low

  * QA upload.
  * Use system libtool
  * Remove debian/patches/Makefile.in.dpatch, which is now automatically
    generated.
  * Switch back to libelfg0 (since it is up to date on all architectures).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 14:34:26 -0400

prelink (0.0.20090925-5) unstable; urgency=low

  * QA upload.
  * Use libelf instead of libelfg0.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 10:22:26 -0400

prelink (0.0.20090925-4) unstable; urgency=low

  * QA upload.
  * Use system config.sub and config.guess.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jun 2012 12:53:24 -0400

prelink (0.0.20090925-3) unstable; urgency=low

  * QA upload.
  * Remove explicit libc6-dev dependencies and set selinux dependency as
    linux-only; making it possible to build on non-linux architectures.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jun 2012 03:40:29 -0400

prelink (0.0.20090925-2) unstable; urgency=low

  * QA upload
  * debian/control: Set Maintainer: to the QA group, drop Uploaders:
  * debian/patches/: Add r187.dpatch, r188.dpatch, r189.dpatch and
    r190.dpatch, cherry-picked from the upstream SVN
    (svn://sourceware.org/svn/prelink), which define and handle several new
    DWARF codes emitted by gcc > 4.5 (Closes: #676390)

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 07 Jun 2012 16:14:47 +0600

prelink (0.0.20090925-1) unstable; urgency=low

  * New upstream release.
  * debian/{control,rules}:
    - Split execstack into a separate binary package to avoid dragging 
      the full prelink utility/cron stack into main. (Closes: #543599)
      Thanks to Kees Cook <kees@debian.org>
  * debian/control:
    - Prelink is now supposed to build on any architecture. (Closes: #497328)
  * debian/patches/timestamp.dpatch
    - Adds -T options to add timestamp on every error output. (Closes: #367320)
  * debian/prelink.sh:
    - Verifies if the programm is being redirected or attached to a TTY.
      (Closes: #449383)


 -- Andrés Roldán <aroldan@debian.org>  Mon, 19 Oct 2009 14:07:56 +0000

prelink (0.0.20090311-1) unstable; urgency=low

  * New upstream release.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 14 Apr 2009 14:15:26 +0000

prelink (0.0.20071009-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/prelink.8.dpatch:
    - Removed. Already applied by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Sat, 13 Oct 2007 02:40:10 +0000

prelink (0.0.20061201-1) unstable; urgency=low

  * New upstream version.

 -- Andrés Roldán <aroldan@debian.org>  Mon,  4 Dec 2006 16:10:40 +0000

prelink (0.0.20061027-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/cache.dpatch:
    - Removed. Upstream already applied it.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 10 Nov 2006 20:46:16 +0000

prelink (0.0.20060712-3) unstable; urgency=low

  * debian/prelink.sh:
    - Added LC_ALL='C' line to avoid annoying messages with coreutils >= 6.0

 -- Andrés Roldán <aroldan@debian.org>  Thu, 19 Oct 2006 13:39:40 +0000

prelink (0.0.20060712-2) unstable; urgency=low

  * debian/patches/cache.dpatch:
    - Solves a crash when sorting the cache file. (Closes: #379366) 

 -- Andrés Roldán <aroldan@debian.org>  Tue, 15 Aug 2006 23:38:08 +0000

prelink (0.0.20060712-1) unstable; urgency=low

  * New upstream version.
  * debian/prelink.cron-daily:
    - Uses Debian package database instead of Redhat. (Closes: #338183)
  * debian/prelink.sh:
    - Don't exit with 0 code if prelink was aborted by lack of disk space.
      (Closes: #366320)
  * debian/patches/prelink.8.dpatch:
    - Fixed typos in prelink manpage. (Closes: #337187)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 17 Jul 2006 13:46:50 +0000

prelink (0.0.20060522-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fsync.dpatch:
    - Patch to ensure writing the data on the disk when a file is renamed.
      (Closes: #352926) 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 24 May 2006 15:22:16 +0000

prelink (0.0.20050901-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version is now 3.6.2. 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 21 Sep 2005 14:25:11 +0000

prelink (0.0.20050610-1) unstable; urgency=low

  * New upstream release.
  * debian/prelink.cron.daily:
    - Don't run prelink with -v option as this gives sensible information of
      the memory of the binaries on the system. Patch taken from Ubuntu.
      Thanks to Martin Pitt <martin.pitt@canonical.com>. (Closes: #314604)
  * debian/control:
    - Adds ppc64 support. (Closes: #301097)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 17 Jun 2005 16:11:01 +0000

prelink (0.0.20050314-1) unstable; urgency=low

  * New upstream version.
  * debian/prelink.conf:
    - Valgrind can be now prelinked.
  * debian/prelink.spec:
    - Updated.

 -- Andrés Roldán <aroldan@debian.org>  Mon,  4 Apr 2005 14:56:47 +0000

prelink (0.0.20050207-2) unstable; urgency=low

  * debian/prelink.sh:
    - Added check for existance of directories supposed to be prelinked.
      (Closes: #288951, #288952)

 -- Andrés Roldán <aroldan@debian.org>  Thu, 17 Feb 2005 09:09:01 +0000 

prelink (0.0.20050207-1) unstable; urgency=low

  * New upstream release.
  * debian/prelink.cron.daily:
    - s|^#!/bin/sh|#!/bin/bash. (Closes: #284706)
  * debian/copyright:
    - Put the actual copyright of the package. (Closes: #290217)
  * debian/prelink.spec:
    - Updated.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 11 Feb 2005 17:35:45 +0000

prelink (0.0.20041123-1) unstable; urgency=medium

  * New upstream release.
  * debian/prelink.{cron.daily,defaults,spec}:
    - Updated from upstream.
  * debian/changelog: Reencoded to UTF-8. 

 -- Andrés Roldán <aroldan@debian.org>  Fri,  3 Dec 2004 14:24:04 +0000

prelink (0.0.20041012-2) unstable; urgency=high

  * Gentoo patch that executes /sbin/init upon a change made by prelink. It
    grants that filesystems are umounted on shutdown/reboot. Thanks to Sindre
    Aamås for the information. (Closes: #281409)

 -- Andrés Roldán <aroldan@debian.org>  Tue, 16 Nov 2004 00:44:25 +0000

prelink (0.0.20041012-1) unstable; urgency=low

  * New upstream release.
  * debian/prelink.sh:
    - Changed interpreter from /bin/sh to /bin/bash due to a bashism in 
      'read' command.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 13 Oct 2004 18:27:29 +0000

prelink (0.0.20041002-2) unstable; urgency=high

  * debian/patches/00list.alpha:
    - Removed. Solves FTBFS bug on alpha.

 -- Andrés Roldán <aroldan@debian.org>  Fri,  8 Oct 2004 17:17:15 +0000

prelink (0.0.20041002-1) unstable; urgency=low

  * New upstream version.
  * debian/prelink.conf:
    - Added some blacklist extensions now supported by this version.
  * debian/patches/00list:
    - Commented out ts.dpatch.
  * debian/patches/typo.dpatch:
    - Removed as it's already onto the upstream source.

 -- Andrés Roldán <aroldan@debian.org>  Mon,  4 Oct 2004 16:39:23 +0000

prelink (0.0.20040908-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed again sparc from Architecture list.
  * debian/prelink.sh:
    - Added timeout to prelink wrapper to avoid hanging up when prompting
      whether to prelink or not. (closes: #233143)
  * debian/patches/typo.dpatch:
    - Changes minor typo. (closes: #265550)
  * debian/patches/md5sha.dpatch:
    - Changes confusing reference to --md5 and --sha options. 
      (closes: #274146)

 -- Andrés Roldán <aroldan@debian.org>  Fri,  1 Oct 2004 14:45:16 +0000

prelink (0.0.20040520-3) unstable; urgency=medium

  * Removed test phase. It crashes build on some archs in a innecessary way. I
    won't however add any arch I want unless build success had been reported.
    (closes: #252968)
  * Urgency set medium to make this change reach sarge soon. 

 -- Andrés Roldán <aroldan@debian.org>  Thu, 24 Jun 2004 14:56:30 +0000

prelink (0.0.20040520-2) unstable; urgency=low

  * Removed some tests on alpha.
  * Added amd64 to the architecture list. (closes: #248851)

 -- Andrés Roldán <aroldan@debian.org>  Thu,  8 Apr 2004 22:50:22 +0000

prelink (0.0.20040520-1) unstable; urgency=low

  * New upstream version.
  * Compiled against libelfg0 0.85.
  * debian/prelink.sh: Added -P option to df. (closes: #244623)

 -- Andrés Roldán <aroldan@debian.org>  Thu,  8 Apr 2004 22:50:22 +0000

prelink (0.0.20040317-1) unstable; urgency=low

  * New upstream version.
  * debian/prelink.cron-daily: Updated according the new upstream version.
  * debian/prelink.conf: Updated. Added some blacklist directories including
    valgrind's. (closes: #241193)
  * debian/prelink.sh: Updated. Many many thanks to Xavier Hienne
    <xhienne@solunix.fr>.

 -- Andrés Roldán <aroldan@debian.org>  Thu,  8 Apr 2004 22:50:22 +0000

prelink (0.0.20040304-1) unstable; urgency=low

  * New upstream version.
    - Added prelink PDF documentation.
  * debian/copyright: Updated. Upstream URL has changed.
  * debian/prelink.default: Updated comments.
  * debian/control: Updated Build-Depends due to FTBFS on alpha.
  * debian/prelink.sh: Trivial comment update.
  * debian/rules: Add prelink.pdf to documentation. 

 -- Andrés Roldán <aroldan@debian.org>  Fri,  5 Mar 2004 23:13:36 -0500

prelink (0.0.20040216-1) unstable; urgency=low

  * New upstream version. 
  * Improved prelink wrapper script. Now it only warn for partitions
    potentially prelinked. (closes: #233143, #232828, #234175)
  * Now build-depend on libc6-dev (>> 2.3.1). (closes: #211066)
  * Removed reloc2.sh test for all archs because it fails when it's built
    with optimizations. (closes: #233197)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 23 Feb 2004 14:13:09 +0000

prelink (0.0.20040129-4) unstable; urgency=low

  * Removed reloc2.sh test for alpha due to FTBFS bug.

 -- Andrés Roldán <aroldan@debian.org>  Sat, 14 Feb 2004 17:55:24 +0000

prelink (0.0.20040129-3) unstable; urgency=low

  * Added prelink.sh wrapper wich will check the disk space and show a
    warning when it detects low disk space on some partition.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 12 Feb 2004 03:17:29 +0000

prelink (0.0.20040129-2) unstable; urgency=low

  * Ouch. Forgot to upgrade the cronfile. This will really fix #231007. 

 -- Andrés Roldán <aroldan@debian.org>  Thu, 12 Feb 2004 00:22:26 +0000

prelink (0.0.20040129-1) unstable; urgency=low

  * New upstream version (from prelink-0.3.0-20).
  * Now the default action on the cron script is to do nothing unless it is
    specifically written on /etc/default/prelink. (closes: #231007)
  * Documented the prelink problem when you have low disk space.
    (closes: #223921, #226136)
  * Removed layout.c.dpatch. (closes: #228453)
  * Removed sparc from arch list. It definetly won't work again. 

 -- Andrés Roldán <aroldan@debian.org>  Thu, 12 Feb 2004 00:01:18 +0000

prelink (0.0.20040115-1) unstable; urgency=low

  * New upstream version (from prelink-0.3.0-18). 

 -- Andrés Roldán <aroldan@debian.org>  Tue, 27 Jan 2004 00:00:45 +0000

prelink (0.0.20031209-1) unstable; urgency=low

  * New upstream release (from prelink-0.3.0-17).
    - Added SELinux support.
    - Add Build-Depends on libselinux1-dev.
    - Add black list support (--black-list option).

 -- Andrés Roldán <aroldan@debian.org>  Tue, 30 Dec 2003 19:55:27 +0000

prelink (0.0.20031029-3) unstable; urgency=low

  * Linked again with libelfg0-dev to support prelink for sparc.
  * Added sparc again to Architecture list. 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 19 Nov 2003 00:35:39 +0000

prelink (0.0.20031029-2) unstable; urgency=low

  * Built with newer libc6.
  * Added again TLS tests (Yeah! we have TLS on sid!).
  * Removed quick1 test.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 31 Oct 2003 20:31:39 +0000

prelink (0.0.20031029-1) unstable; urgency=low

  * New upstream version (from prelink-0.3.0-13.src.rpm).
    - Added execstack(8) program, a tool which sets, clears, or queries
      executable stack flag of ELF binaries and shared libraries.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 29 Oct 2003 23:54:44 +0000

prelink (0.0.20031027-1) unstable; urgency=low

  * Yes, yet another new upstream version (from prelink-0.3.0-11.src.rpm).
  * Updated debian/prelink.cron.daily.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 28 Oct 2003 19:17:50 +0000

prelink (0.0.20031024-1) unstable; urgency=low

  * New upstream version (from prelink-0.3.0-10.src.rpm).
  * Removed prelink.spec patch. That file was put on debian/ directory.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 28 Oct 2003 15:53:14 +0000

prelink (0.0.20031012-1) unstable; urgency=low

  * New upstream release (from prelink-0.3.0-9.src.rpm). (closes: #216076)
    - Updated prelink.cron.daily.
    - Updated prelink.spec patch.
    - Removed dso.c patch.
  * Updated copyright.

 -- Andrés Roldán <aroldan@debian.org>  Sun, 26 Oct 2003 16:43:22 +0000

prelink (0.0.20030902-7) unstable; urgency=low

  * Removed dependency on libelfg0. Will prepare a NMU for libelfg0 to
    accomplish that. (closes: #215527)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 13 Oct 2003 17:42:04 +0000

prelink (0.0.20030902-6) unstable; urgency=low

  * Changed maintainer's e-mail.
  * Stop supporting prelink on sparc.
  * Conflicts with libelfg0, no matter what version.

 -- Andrés Roldán <aroldan@debian.org>  Sat, 11 Oct 2003 19:44:17 +0000

prelink (0.0.20030902-5) unstable; urgency=low

  * Changed "source" by "." on debian/prelink.cron.daily.
    (closes: #211487)
  * Removed TLS tests because glibc does not yet support this. See 
    Bug #211610 for more information. (closes: #211048)
  * Removed hack from Marco d'Itri that refused to compile undosyslibs test.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Fri, 19 Sep 2003 17:14:05 +0000

prelink (0.0.20030902-4) unstable; urgency=low

  * Fixed the "oh, you're so stupid" changelog.
  * Now build depends on dpatch.
  * Bumped Standards-Version to 3.6.1.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Tue, 16 Sep 2003 23:58:56 +0000

prelink (0.0.20030902-3) unstable; urgency=low

  * Changed comment in /etc/default/prelink. (closes: #210782)
  * Compiled with libelf1-dev (from elfutils) since it is the library
    supported by upstream. Removed build-depend on libelfg0-dev.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Tue, 16 Sep 2003 14:31:10 +0000

prelink (0.0.20030902-2) unstable; urgency=low

  * New maintainer.
  * Fixed path on /etc/cron.daily/prelink. (closes: #210691)

 -- Andrés Roldán <aroldan@fluidsignal.com>  Mon, 15 Sep 2003 19:24:59 +0000

prelink (0.0.20030902-1) unstable; urgency=low

  * New upstream release (from prelink-0.3.0-5.src.rpm).
  * Added /etc/cron.daily/prelink from the SRPM.
  * Enabled again the test reloc11.sh.

 -- Marco d'Itri <md@linux.it>  Thu, 11 Sep 2003 19:57:35 +0200

prelink (0.0.20030522-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 23 May 2003 19:31:42 +0200

prelink (0.0.20030515-1) unstable; urgency=low

  * New upstream release. (Closes: #191874, #193548)

 -- Marco d'Itri <md@linux.it>  Fri, 16 May 2003 14:30:08 +0200

prelink (0.0.20030217-1) unstable; urgency=low

  * New upstream release (from prelink-0.2.0-18.src.rpm).
  * Removed arm and s390 from the Architectures list because the package
    does not build on them. s390 porters beware: a newer <elf.h> would be
    needed anyway!

 -- Marco d'Itri <md@linux.it>  Sat,  3 May 2003 15:33:23 +0200

prelink (0.0.20030210-1) unstable; urgency=low

  * New upstream release.
  * Fix the package description. (Closes: #175926)
  * Add a comment about start-stop-daemon to README.Debian. (Closes: #179806)
  * Depend on a newer libelfg0. (Closes: #179826)

 -- Marco d'Itri <md@linux.it>  Sun, 16 Feb 2003 12:51:49 +0100

prelink (0.0.20021213-2) unstable; urgency=low

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Thu,  2 Jan 2003 01:56:54 +0100

